import { UseThrottleOptions } from "../use-throttle-callback";
/**
 * Creates a throttled effect that only runs at most once per every `wait`
 * seconds.
 *
 * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
 * for details over the differences between `debounce` and `throttle`.
 *
 * @param effect The effect to throttle.
 * @param dependencies The dependencies array.
 * @param options The options object.
 */
export declare function useThrottleEffect(effect: () => (() => void) | void, dependencies?: unknown[], options?: UseThrottleOptions): void;
